Skip to main content
GET
/
entities
List messaging entities
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/entities \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "entities": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "entityType": "hook",
        "name": "<string>",
        "description": "<string>",
        "websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "productLineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "linkedAssetCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

entity_type
enum<string>

Filter by entity type

Available options:
hook,
angle,
offer,
story

Search by name (case-insensitive)

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Entity list

success
boolean
required
data
object
meta
object